<?php
  // WHETHER OR NOT THIS FILE HAS BEEN CONFIGURED FOR THE FIRST TIME. SET THIS BACK TO FALSE TO RECONFIGURE.
$esp['configureSystem'] = true; // This is true if your system hasn't been set up.
// FILE SYSTEM CONFIGURATION/PATHS TO DIFFERENT PIECES OF THE SYSTEM
$espConfigDir = str_replace("\\","/",__FILE__); // replace is for windows systems.
$espConfigDirArr = explode("/",$espConfigDir);
array_pop($espConfigDirArr);
array_pop($espConfigDirArr);
$esp['coreESPPath'] = implode("/",$espConfigDirArr).'/'; // This is where the espaux folder sits which houses all the important server side files.
if(!array_key_exists('webPath',$esp)) // This is for backward compatibility with esp4 type systems, when they're upgrading. Without this, the upgrade fails catastrophically. 3/14/2015. On 12/31/2015, take this out. 
  {
    array_pop($espConfigDirArr);
    $esp['webPath'] = implode("/",$espConfigDirArr).'/'; // This is path to the web folder of esp system
  }
$esp['incPath'] = $esp['coreESPPath'].'inc/'; // The include path (most sub-routines)
$esp['apiPath'] = $esp['coreESPPath'].'apis/'; // The include path (most sub-routines)
$esp['baseHTTPPath'] = ''; // where the system sits to the outside world. Leave it blank for the system to just use relative paths.
$esp['externalBaseHTTPPath'] = ''; // This is used for exporting things like charts that need to access scripts from the site.
$esp['classPath'] = $esp['coreESPPath'].'class/'; // The class path (most sub-routines)
$esp['inlineStylePath'] = $esp['webPath'].'css/'; // css folder to file system
$esp['externalLocalStylePath'] = 'css/'; // css folder to web server
$esp['externalStylePath'] = $esp['baseHTTPPath'].'css/'; // css folder to outside world
$esp['inlineScriptPath'] = $esp['webPath'].'js/'; // js folder to file system
$esp['externalScriptPath'] = './js/'; // js folder to web server
$esp['inlineImagePath'] = $esp['webPath'].'clientImages/'; // image folder to file system. This can be outside the web path so it doesn't get overwritten during upgrades.
$esp['externalLocalImagePath'] = 'clientImages/'; // image folder to web server
$esp['externalImagePath'] = $esp['baseHTTPPath'].'clientImages/'; // image folder to outside world
$esp['inlineCommonImagePath'] = $esp['webPath'].'commonImages/'; // image folder to file system. This can be outside the web path so it doesn't get overwritten during upgrades.
$esp['externalLocalCommonImagePath'] = 'commonImages'; // image folder to web server
$esp['externalCommonImagePath'] = $esp['baseHTTPPath'].'commonImages/'; // image folder to outside world
$esp['uploadPath'] = $esp['coreESPPath'].'uploads/'; // Only useful if fileManager is installed. If you have the ability, point this outside the path to esp so it won't be affected by updates.
$esp['tmpPath'] = $esp['coreESPPath'].'tmp/'; // Where temporary files are stored.
$esp['webTmpPath'] = $esp['webPath'].'webtmp/'; // Where temporary files are stored.
$esp['reportPath'] = $esp['coreESPPath'].'/reports/'; // Only useful if report viewer is installed. If you have the ability, point this outside the path to esp so it won't be affected by updates.
$esp['mysqlProcPath'] = $esp['coreESPPath'].'mysql-procs/'; // Allows you to specify a folder with stored procedures to be loaded.
$esp['pd4mlPath'] = '/usr/share/pd4mlPro390/lib/'; // For creating PDFs.
$esp['javaLibPath'] = $esp['coreESPPath'].'java/'; // For external java routines.
$esp['phantomJSCmd'] = 'phantomjs';
$esp['allowedInstructCmds'] = array('math'=>'MathKernel -script','r'=>"Rscript");
$esp['allowedInstructExps'] = array('math'=>'Mathematica Script','r'=>"R Script");
$esp['instructScriptTables'] = array('math'=>'mscript','r'=>"rscript");
$esp['comPath'] = '/usr/share/esp/espcom/'; // For when the comCenter module is loaded. Better outside esp folders so it won't be affected when updates happen.
$esp['tablePath'] = $esp['coreESPPath'].'tables/'; // Better
$esp['displayPath'] = $esp['coreESPPath'].'display/';
$esp['extPath'] = 'js/ext/';
$esp['ext3Path'] = '../ext-3.4.0/';
$esp['calendarPath'] = 'js/calendar/cal/'; // Path to calendar javascript if the calendar module is loaded.
$esp['helpPath'] = $esp['coreESPPath'].'help/'; // path to help stuff.
$esp['cronPath'] = '/usr/share/esp/cron/'; // Path to cron routines. Only really used if the reports module is installed.
$esp['espLogDB'] = ''; // The database where activity is logged. Leave it blank to use whatever database is being logged into. This will not record things like someone trying to log into a database that doesn't exist.
$esp['yuiCompressor'] = false;
$esp['yuiCompressorPath'] = '/usr/share/yuicompressor/build/yuicompressor-2.4.8.jar'; // Path to yuicompressor for compressing javascript.
$esp['inlineCompressPath'] = $esp['webPath'].'jc/'; // Path to a javascript folder where the compressed javascript files go.
$esp['externalCompressPath'] = 'jc/';
$esp['ttfPath'] = '/usr/share/fonts/truetype/msttcorefonts/'; // This is deprecated. You only need it for the old method of graphing.
$esp['instructPath'] = $esp['coreESPPath'].'instruct/'; // Path to database instructions. Only useful with reports module installed.
$esp['amChartsPath'] = '../amcharts/'; // Path to amCharts installation for flash charting. Only useful with reports module installed.
$esp['amChartsJSPath'] = 'js/chartBuilder/amcharts/'; // Path to amCharts installation for flash charting. Only useful with reports module installed.
$esp['cliPath'] = $esp['coreESPPath'].'cli/'; // Command line file path. Only useful if you have root access to your server.
$esp['cssExternalPath'] = $esp['baseHTTPPath'].'css/'; // This is to make sure that things update when the version changes. change it to the actual version folder.
// SERVER VARIABLES
$esp['serverAddress'] = ((isset($_SERVER['SERVER_ADDR']))?$_SERVER['SERVER_ADDR']:'noAddressAvailable');
// PHP RUNTIME CONTROLS
$esp['php_log_errors'] = 1; // Whether or not to log errors. If development is on, this gets overridden.
$esp['php_error_log'] = ''; // Path to file to save error log. Defaults to whatever server default is if left blank.
$esp['php_error_logging'] = E_ALL & ~E_STRICT;
$esp['php_display_errors'] = "Off";
$esp['useAPC'] = true; // Attempt to use APC caching if it's there.
// PERL COMMUNICATION PATHS
$esp['perl']['on'] = false;
$esp['perlPath'] = $esp['coreESPPath'].'perl/';;
$esp['perl']['phpSessionPath'] = $esp['tmpPath'];
$esp['perl']['error_log'] = $esp['tmpPath'].'error.log';
// LOGIN CONTROLS
$esp['defaultKerberosRealm'] = '';
$esp['defaultDomain'] = '';
$esp['domainMin'] = 1; // Min and max number of characters for clients (databases)
$esp['domainMax'] = 50;
$esp['passwordMin'] = 1; // Min and max length of passwords
$esp['passwordMax'] = 100;
$esp['passwordRegExps'] = array("/[a-zA-Z0-9]/"); // Just require at least one non-special character. This isn't great security. You can tighten it by using the commented example below
$esp['passwordJSRegExp'] = "^(.*(?=.*[a-zA-Z0-9]).*)$";
$esp['passwordMsg'] = "Password must contain at least one letter or number, and must be greater than 1 character and less than 100 characters."; // A message to write out to the user if it's wrong.
/*
// These regexps will require numbers, letters (upper and lower) and a non-letter/number. Use this fore better security.
$esp['passwordRegExps'] = array("/[A-Z]/","/[a-z]/","/[0-9]/","/[^a-zA-Z0-9]/"); // Different items that have to match in terms of password. All items have to match. 
$esp['passwordJSRegExp'] = "^(.*(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[^a-zA-Z0-9]).*)$";
$esp['passwordMsg'] = "Password must contain at least one upper case letter, one lower case letter, one number, and one special character."; // A message to write out to the user if it's wrong.
*/
$esp['userMin'] = 1; // Min and max length of user names
$esp['userMax'] = 64;
// update controls
$esp['lastUpdateCheck'] = strtotime('2012-08-01 00:00:00');
$esp['updateCheckRate'] = 2; // Time in days to check for new updates.
$esp['checkUpdates'] = false;
$esp['allowLoginRedirect'] = false;
// CONTROL OVER SQL IDENTIFIERS
$esp['columnIDRegExp'] = "/[^\{\}a-zA-Z0-9\_]/"; // Note, that it has to include curly braces to deal with split columns. Don't use curly braces in column names as that will mix things up when it tries to split columns, unless of course you don't care about splitting columns.
$esp['columnIDRegExpMsg'] = " must be alphanumeric, underscore (with curly braces for split columns).";
$esp['tableNameRegExp'] = "/[^a-zA-Z0-9\_]/"; // Change this to allow for more than just alphanumeric + underscores in table identifiers. What is not allowed.
$esp['tableNameJSRegExp'] = "/^[a-zA-Z0-9\_]+$/"; // Change this to allow for more than just alphanumeric + underscores in table identifiers. What is allowed.
$esp['tableNameRegExpMsg'] = " must be alphanumeric with underscores.";
$esp['domainRegExp'] = "/[^a-zA-Z0-9\_]/"; // Change this to allow for more than just alphanumeric + underscores in database name identifiers. This is what is not allowed.
$esp['domainJSRegExp'] = "^[a-zA-Z0-9\_]+$"; // This is what is allowed.
$esp['domainRegExpMsg'] = " must be alphanumeric with underscores.";
$esp['userRegExp'] = "/[^a-zA-Z0-9\_\.]/"; // Change this to allow for more than just alphanumeric + underscores in database name identifiers. What is not allowed.
$esp['userJSRegExp'] = "^[a-zA-Z0-9\_\.]+$"; // What is allowed.
$esp['userRegExpMsg'] = " must be alphanumeric with underscores and periods.";

// VERSION INFORMATION
$esp['versionNum'] = 7785;
$esp['version']="5.0.".$esp['versionNum']; // Sets the version number. This is used when compressing javascript. Whenever javascript is changed, this must increment to prevent caching issues.
$esp['dbVersion']=57744; // Used to track what version of system tables is currently being used.
$esp['changeDate']="03/13/2015"; // Last date that system was updated.
$esp['copyright']="Copyright &copy; 2007-2012 Eliacom, Inc.";
$esp['longESPInfo'] = true; // True to write out the license and copyright info. False to just show the short and sweet.
// DATABASE ACCESS INFORMATION
$esp['chkUser'] = ''; // A user that the system knows its password, to check for other users, and write to the access log. Leave it blank to try to use the user login account.
$esp['chkUserPassword'] = ''; // password for chkuser
$esp['uploadUser'] = ''; // A user that the system knows its password, to check for other users, and write to the access log. Leave it blank to try to use the user login account.
$esp['uploadUserPassword'] = ''; // password for chkuser
$esp['userDB'] = ''; // Database taht holds user information (usernames,passwords). chkuser must have read/write access to this database.
$esp['adminDBUser'] = 'admin'; // The database user of the administrative user.
$esp['adminNotifyDB'] = 'zzadminnotify'; // Note this always has to start with zz.
$esp['dbServer'] = 'localhost'; // What is the address of the database server
$esp['dbPort'] = ''; // The default port. If it's blank, then it just uses whatever the system thinks should be the default.
$esp['webHostSeenByDB'] = 'localhost'; // For the default database server, how does it see the web server. This is important for how the users get access.
$esp['dbEngine'] = 'pdo'; // what engine to use connecting to database. For now, only pdo is allowed.
$esp['serverTimeZone'] = 'MST'; // What is the timezone of the server. This is used to translate that into user time zones.
$esp['development'] = false; // whether or not server is production or development. Development allows for users to do some things that you can't otherwise.
// REAL TIME AND NIGHTLY BACKUP INFORMATION
$esp['dailyBackup'] = false; // Whether or not to do daily backups.
$esp['backupDir'] = '/home/fcgm/backup/'; // Directory to write nightly backups to.
$esp['backupDailyDays'] = 30; // How many days to keep the daily backup.
$esp['backupWeeklyWeeks'] = 12; // How many weeks to keep a weekly backup.
$esp['backupMonthlyMonths'] = 24; // How many months to keep a monthly backup.
$esp['backupYearlyYears'] = 24; // How many years to keep the yearly backup.
$esp['backupInfoDB'] = 'espbackup'; // Directory to write nightly backups to.

$esp['rtBackup'] = false; // Attempt to maintain a realtime backup (replication)? 
$esp['rtBackupServer'] = '192.168.5.75'; // Address of backup server. Must have an identical setup as this server, and must have the same admin user and password.
// SQL preconditioning to queries
$esp['repeatBindReplace'] = false; // Allow for "named" binding of variables, e.g. 
$esp['replaceSQLFunctionsLive'] = true;
// SECURITY
$esp['checkReferrer'] = false; // Whether or not to check for HTTP Referrer to ensure it came from this domain.
// Whether or not to log the queries that are performed
$esp['logQueries'] = false;
// PERFORMANCE AND ERROR CHECKING/LOGGING
$esp['maxDropDownLength'] = 1000;
$esp['localDropDownLength'] = 600;
$esp['compressJS'] = true; // whether or not to concat and compress js files, or to just serve them. 
$esp['useAppJSPackages'] = true; // Set to false if you want to use the raw source files. Useful for development. 
$esp['emailDebugErrors'] = 0; // whether or not to email out debug errors. Only works if an email server is configured.
$esp['emailDebugTimeLimit'] = 600; // How many seconds between debug emails (to eliminate email spam)
$esp['emailDebugForceTimeLimit'] = 300; // If an email is "forced" how long between them. 
$esp['traceDebugErrors'] = 1; // whether or not to trace back debug errors to parent files.
$esp['serverType'] = 'linux'; // This can be 'windows' or 'linux'. XXX Haven't developed on Windows for so long, that probably is broken in a few places.
$esp['reportJavascriptErrors'] = false; // Whether or not esp will report javascript errors back to the server. Useful in production.
// SUBVERSION STUFF - ONLY USEFUL FOR REPORT VIEWER OR COM CENTER TYPICALLY.
$esp['svnUser'] = ''; // user to update svn repositories
$esp['svnPassword'] = ''; // password to update svn repositories
$esp['svnInputFile'] = $esp['coreESPPath'].'config/general/svnInput.txt'; // Svn file holding a p to signify that a password is coming
// DATABASE CONFIGURATION STUFF
$esp['demoClient'] = 'otb3'; // What client to use as a "demo" client. This replaces some key information from the client that is logged into with the demo client.
$esp['dbTablePrefix']='esp_'; // 
// ADMINISTRATOR INFORMATION
$esp['adminEmails'] = 'support@eliacom.com'; // Email to contact administrative user, for instance for error reporting. Only works if there is a mail server installed.
$esp['adminIPAddresses'] = array(false); // You can limit the administrative user to log in via a list of IP addresses using this array. Each element needs to be a valid IP address. Set the first element to FALSE to allow login from any location.
// WHETHER OR NOT TO ALLOW FOR EXTRA CONFIG STUFF TO BE ADDED
$esp['configLocked'] = false;

// We put the core here, since it wouldn't make any sense to turn it off.
$esp['apps'] = array();
$esp['apps']['core'] = true;
// Initialize some arrays that will be used by apps.
$esp['appConfig'] = array();
// VIEW CONTROL
$esp['allowClassic'] = false; // Classic view. Deprecated.
$esp['allowTabs'] = true; // Tab view
$esp['allowDesktop'] = true; // Desktop view.
$esp['legacySetup'] = false; // Include some legacy information from old versions of database.
// Aesthetics
$esp['showESPAds'] = false; // Show ads.
$esp['loginDomainName'] = 'Domain'; // What to call databases on the login screen.
$esp['company'] = "Eliacom, Inc.";
$esp['website'] = "eliacom.com";
$esp['showDesktopLogo'] = false; // Whether or not to try to display a logo on the desktop

// Email stuff - Only useful if comCenter Module or calendar is installed.
$esp['incomingEmailServer'] = ''; // email server that receives emails
$esp['emailHashKey'] = array('000','000','000','000'); // 4 element array that is used in email hashes.
$esp['unregisterAllEmailText'] = '

If you have received this message in error, and would like to remove this email from our mailing list, you can copy this link into any browser:
**link**
';
$esp['unregisterAllEmailHTML'] = '<br>
<br>
If you have received this message in error, and would like to remove this email from our mailing list, you can click <a href="**link**">here</a>.<br>
';
$esp['unregisterComInboxEmailText'] = '

If you would no longer like to receive email notifications when a COM message is sent to you copy the folloing link into any browser:
**link**
';
$esp['unregisterComInboxEmailHTML'] = '<br>
<br>
If you would no longer like to receive email notifications when a COM message is sent to you, click <a href="**link**">here</a>.<br>
';